/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.syncclient.sps;

import javax.microedition.rms.RecordFilter;

/**
 * This class define
 * methods to filter records
 * on record key
 *
 * $Id: SimpleFilter.java,v 1.2 2005/01/19 11:17:41 fabius Exp $
 */
public class SimpleFilter implements RecordFilter {

    //-------------------------------------------------------------- Private data

    // value to filter
    private String value;

    //-------------------------------------------------------------- Public methods

    public SimpleFilter(String filter) {
        value = filter.toLowerCase();
    }

    /**
     * Check if the record matchs with value
     * @param record
     * @return <code>true</code> if record matches, <code>false</code> otherwise
     */
    public boolean matches(byte[] record) {
        return (new String(record)).toLowerCase().startsWith(value);
    }
}